SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   oftpd Vendors:   Kerr, Shane et al
oftpd Buffer Overflow in USER Command May Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1014413
SecurityTracker URL:  http://securitytracker.com/id/1014413
CVE Reference:   CVE-2005-2239   (Links to External Site)
Updated:  Jun 16 2008
Original Entry Date:  Jul 7 2005
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 0.3.7
Description:   A vulnerability was reported in oftpd. A remote user can cause the FTP service to crash or potentially execute arbitrary code.

A remote user can supply a specially crafted FTP USER command to trigger a buffer overflow.

A demonstration exploit FTP command is provided:

user \0\0\0\0\0\ (much larger string)

new.security@gmail.com is credited with discovering this vulnerability.

Impact:   A remote user can cause the target FTP service to crash or potentially execute arbitrary code.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.time-travellers.org/oftpd/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC